Package org.eclipse.cdt.core.settings.model.extension

# Class CExternalSettingProvider

java.lang.Object
org.eclipse.cdt.core.settings.model.extension.CExternalSettingProvider

public abstract class CExternalSettingProvider extends Object
Abstract base class for the External Settings Provider extension point. Contributed external settings are added to the Project's build configuration.

## Constructor Summary

Constructors
Constructor
Description
`CExternalSettingProvider()`

## Method Summary

Modifier and Type
Method
Description
`abstract CExternalSetting[]`
`getSettings(org.eclipse.core.resources.IProject project, ICConfigurationDescription cfg)`
Hook for fetching external settings from the contributed external setting provider
`CExternalSetting[]`
`getSettings(org.eclipse.core.resources.IProject project, ICConfigurationDescription cfg, CExternalSetting[] previousSettings)`
Hook for fetching external settings from the contributed external settings provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CExternalSettingProvider

public CExternalSettingProvider()

## Method Details

### getSettings

public abstract CExternalSetting[] getSettings(org.eclipse.core.resources.IProject project, ICConfigurationDescription cfg)
Hook for fetching external settings from the contributed external setting provider

Parameters:
  `project` -
  `cfg` - ICConfigurationDescription for which to fetch contributed external settings
Returns:
  CExternalSetting[] or contributed external settings

### getSettings

public CExternalSetting[] getSettings(org.eclipse.core.resources.IProject project, ICConfigurationDescription cfg, CExternalSetting[] previousSettings)
Hook for fetching external settings from the contributed external settings provider. This call-back provides the previous version of the settings as cached by cdt.core

Parameters:
  `project` - IProject
  `cfg` - ICConfigurationDescription for which to fetch contributed external settings
  `previousSettings` - external settings as cached by cdt.core for this `CExternalSettingProvider` or an empty array
Returns:
  CExternalSetting[] of contributed external settings
Since:
  5.2